<?php
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../../includes/lib_lenguaje.php");
$cleguaje=new cLanguage("../../phplang/");

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}

require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$permisos = str_split($sesion->get('permiso'));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script  type="text/javascript"> 

$(document).ready(function(){
	var lastsel3;
	var datos=new Array();
	var cod_area="";
	
	var parametros="?tb=adm_sedes&cmps=cod_sede, initcap(nom_sede) as 'nom_sede'&ord=ORDER BY cod_sede ASC&grilla=1";	
	var parametros_jor="?tb=aux_jornadas&cmps=ide_jornada, nom_jornada&grilla=1";	
	
	var b1=0;
	var grilla=jQuery("#listado_estudiantes").jqGrid({
		height: 300,
		width:995,
		url:'mod_estudiantes/list_estudiantes.php',
		datatype: "json",
		hidegrid:false,
		multiselect: false,
		rowNum:30,
		postData:{t:1},
		rowList:[15,30,50],
		pager: '#pager_estudiantes',
		sortname: 'apellido1_est',
		viewrecords: true,
		sortorder: "asc",
		editurl:'',
		scrollrows:true,
		caption:'<?php echo $cleguaje->Phrase('estudiantes','titulogrilla') ?>',
		toolbar:[true,"top"],
		ondblClickRow:function(rowid){
		//	jQuery("#listado_estudiantes").expandSubGridRow(rowid)
		},
		subGrid : false, 
		subGridRowExpanded:function(subgrid_id, row_id){
			
			mat = jQuery("#listado_estudiantes").getCell(row_id,'matriculado'); 
			mat=mat.indexOf('Si')>-1 ? '1' : '0';
			
			act = jQuery("#listado_estudiantes").getCell(row_id,'estado_est'); 
			act=act.indexOf('Si')>-1 ? '1' : '0';
			
			$.post('mod_estudiantes/info_adic_est.php',{id:row_id, matr:mat, activo:act},function(rta){
				$("#"+subgrid_id).html(rta)
			})
			if(b1!=0)
				jQuery("#listado_estudiantes").collapseSubGridRow(b1) // escondo la informacion del estudiante anterior visto
			b1=row_id;
		},

		colNames:[
			'<?php echo $cleguaje->getField('global','num_doc') ?>',
			'<?php echo $cleguaje->getField('global','tip_doc') ?>',
			'<?php echo $cleguaje->Phrase('global','nom_ape') ?>',
			'<?php echo $cleguaje->getField('global','pri_ape') ?>',
			'<?php echo $cleguaje->getField('global','seg_ape') ?>',
			'<?php echo $cleguaje->getField('global','pri_nom') ?>',
			'<?php echo $cleguaje->getField('global','seg_nom') ?>',
			'<?php echo $cleguaje->getField('global','edad') ?>',
			'<?php echo $cleguaje->getField('global','sexo') ?>',
			'<?php echo $cleguaje->getField('global','telefono') ?>',
			'<?php echo $cleguaje->getField('global','activo') ?>',	
			
			'<?php echo $cleguaje->Phrase('estudiantes','matriculado') ?>',			
		],
		colModel:[
			{name:'numedocumento_est',index:'numedocumento_est',resizable:false,width:120,frozen:true,searchoptions:{
					sopt:['eq','ne','cn','nc','bw','bn']
				},searchrules:{
					required:true,
					number:true
				}
			},
			{name:'nom_tipoiden',index:'nom_tipoiden',resizable:false,width:140,frozen:true,searchoptions:{
					sopt:['eq','ne','cn','nc','bw','bn']
				},
			},
			
			{name:'nom_ape',index:'nom_ape',resizable:false,width:250, search:false,frozen:true },
			
			{name:'apellido1_est',index:'apellido1_est', width:200, hidden:true, searchoptions:{searchhidden:true} },
			{name:'apellido2_est',index:'apellido2_est', width:200, hidden:true, searchoptions:{searchhidden:true} },
			{name:'nombre1_est',index:'nombre1_est', width:200, hidden:true, searchoptions:{searchhidden:true} },
			{name:'nombre2_est',index:'nombre2_est', width:200, hidden:true, searchoptions:{searchhidden:true} },
			
			{name:'fechnacimiento_est',index:'fechnacimiento_est', width:60, search:false,resizable:false,align:'right'},
			{name:'genero_est',index:'genero_est', width:65, search:false,resizable:false, align:'center'},
			{name:'celular_est',index:'celular_est', width:120, search:false,resizable:false},
			
			{name:'estado_est',index:'estado_est',resizable:false,width:60, align:'center', stype:'select',searchoptions:{
					dataUrl:'includes/select_vacio.php',
					dataInit:function(obj){
						$(obj).html('<option value="S"><?php echo $cleguaje->getField("global","rta_s") ?></option><option value="N"><?php echo $cleguaje->getField("global","rta_n") ?></option>');
					},
					sopt:['eq','ne']
				}
			},
			
			{name:'matriculado',index:'matriculado',resizable:false,width:90, align:'center', stype:'select',searchoptions:{
					dataUrl:'includes/select_vacio.php',
					dataInit:function(obj){
						$(obj).html('<option value="S"><?php echo $cleguaje->getField("global","rta_s") ?></option><option value="N"><?php echo $cleguaje->getField("global","rta_n") ?></option>');
					},
					sopt:['eq','ne']
				}
			},		
		],
		loadComplete:function(){
			cambiar_iconos('pager_estudiantes')
		},
		shrinkToFit:false,
	})
	
	jQuery("#listado_estudiantes").jqGrid('navGrid','#pager_estudiantes',{add:false,edit:false,del:false}, {}, {}, {}, {
		multipleSearch:true,
		modal:false,
		resize : false,
		width:"auto",
	});

	jQuery("#listado_estudiantes").jqGrid('setGroupHeaders', {
		useColSpanStyle: true, 
		groupHeaders:[
			{startColumnName: 'numedocumento_est', numberOfColumns: 6, titleText: '<em>Información personal</em>'},
			{startColumnName: 'estado_est', numberOfColumns: 4, titleText: '<em><?php echo $cleguaje->Phrase('estudiantes','info_academica') ?></em>'}
		]
	});
	
	jQuery("#listado_estudiantes").jqGrid('setFrozenColumns');
<?php 
if(in_array("A", $permisos)) { ?>
		var dtnew={
			nom_pag:"t_listado_estudiantes",
			ancho:'1000',
			alto:'auto',
			param:'?accion=new',
			iframe:false,
			title: '<?php echo $cleguaje->Phrase('global','new') . " " . $cleguaje->Phrase('estudiantes','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('global','empresa') ?>'
		}		
		btnNuevoColorbox(grilla,dtnew)
			
<?php  } if(in_array("M", $permisos)) {?>
		var dtedit={
			nom_pag:"t_listado_estudiantes",
			ide_tabla:'listado_estudiantes',
			ancho:'1000',
			alto:'auto',
			param:'?accion=edit&recarga=true',
			iframe:false,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrec') ?>', //mensaje si no selecciona un registro
			title: '<?php echo $cleguaje->Phrase('global','edit') . " " . $cleguaje->Phrase('estudiantes','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','empresa') ?>',
		}	
		
		btnEditarColorbox(grilla,dtedit)
		
<?php } if(in_array("E", $permisos)) {?>	
		var tddel={
			modulo:'estudiantes',
			nom_pag:"t_listado_estudiantes",
			ide_tabla:'listado_estudiantes',
//			recarga:true,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$cleguaje->Phrase('estudiantes','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $cleguaje->Phrase('global','del') . " " . $cleguaje->Phrase('estudiantes','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			isgrid:false,
			url:'mod_estudiantes/opera_estudiantes.php',
			msgExito:'<?php  echo $cleguaje->Phrase('global','delexito') ?>',
		}
		btnEliminar(grilla,tddel)
		
<?php } ?>
$("#txtsedes,#txtjornadas,#txtgrupo").attr("disabled","disabled")
$("#txtver").change(function(){
	if($(this).val()==1){
		jQuery("#listado_estudiantes").jqGrid('setGridParam',{postData:{'t':'1'}})
		
		$("#txtsedes,#txtjornadas,#txtgrupo").attr("disabled","disabled")
		jQuery("#listado_estudiantes").jqGrid('setGridParam',{
			url:"mod_estudiantes/list_estudiantes.php",
			page:1
		}).trigger("reloadGrid");
	}else{
		jQuery("#listado_estudiantes").jqGrid('setGridParam',{postData:{'t':'2'}})
		busqueda();
		$("#txtsedes,#txtjornadas,#txtgrupo").removeAttr("disabled")
		
	}
})
$("#txtsedes").change(function(){
	cd_sede=$(this).val();
	
	if(cd_sede!='0x'){
		$.post("includes/cargar_selec_normal.php",{
			codigo:'a20',
			cod_cnds:cd_sede,
			grb:''
		},function(dt){
			$("#txtjornadas").html(dt)
			busqueda()
		})
		
		$.post("includes/cargar_selec_grupos.php",{
			sede: cd_sede,
		},function(dt){
			$("#txtgrupo").html(dt)
		})
	}else{
		
		$("#txtgrupo").html("<option value='0x'>Seleccionar...</option>")
     
		$.post("includes/cargar_selec_normal.php",{
			codigo:'a20',
			cod_cnds:'',
			grb:''
		},function(dt){
			$("#txtjornadas").html(dt)
			busqueda()
		})
	}	
});

$("#txtgrupo").change(function(){
	busqueda()
});

$("#txtjornadas").change(function(){
	cd_jor=$(this).val();

	if(cd_jor!='0x') 
		cn="cod_jornada="+cd_jor;
	else 
	 	cn='';
	
	$.post("includes/cargar_selec_grupos.php",{
		sede: cd_sede,
		cmpcnd:cn,
	},function(dt){
		$("#txtgrupo").html(dt)
		busqueda()
	})	
			
});
	
busqueda=function(){
	jQuery("#grid_id").jqGrid('setGridParam',{postData:{'key':'val'} })
	
	jQuery("#listado_estudiantes").jqGrid('setGridParam',{
		page:1,
		postData:{
			sede:$("#txtsedes").val(),
			grupo:$("#txtgrupo").val(),
			jornada:$("#txtjornadas").val()
		}
	}).trigger("reloadGrid");

}

$("#pdf").click(function(){	
	$.fn.colorbox({
		href: "mod_reportes/listados/listados.php",iframe:true, height:"600px",width:"800px"
	})
})


});

</script>
<title>Estudiantes</title>
</head>

<body>
<table align="center">
	<tr>
    	<td>
        <table>
     <tr clas class="tit1">
       <td><?php echo $cleguaje->Phrase('global','mostrar') ?></td>
       <td><?php echo $cleguaje->getField('global','name_sede') ?></td>
       <td><?php echo $cleguaje->getField('global','name_jornada') ?></td>
       <td><?php echo $cleguaje->getField('global','grupos') ?></td>
       </tr>
     <tr>
       <td><select name="txtver" id="txtver" class="campos">
         <option value="1">Todos los estudiantes</option>
         <option value="2">Solo matriculados</option>
       </select></td>
       <td>
    <select name="txtsedes" class="campos" id="txtsedes" style="width:250px" >
   		<?php
			$cmps="cod_sede, initcap(nom_sede) as 'nom_sede'";
			$ord='ORDER BY cod_sede ASC';
			$tabla="adm_sedes";
			$cmpcnd="";
			$default='';
			mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
		?>
    </select></td>
       <td><select name="txtjornadas" class="campos" id="txtjornadas" style="width:160px">
         <option value="0x">Seleccionar...</option>
         <?php
            $sql="SELECT DISTINCT pag_estudiantes_adm.cod_jornada, pag_estudiantes_adm.nom_jornada FROM
    pag_estudiantes_adm     INNER JOIN aux_jornadas  ON (pag_estudiantes_adm.cod_jornada = aux_jornadas.cod_jornada) ORDER BY aux_jornadas.orden;";
            $academia->instruccion($sql);
            while($reg=$academia->extraer_registro()){
                echo "<option value='".$reg['cod_jornada']."'>".$reg['nom_jornada']."</option>";
            }
            $academia->liberar();
        ?>
       </select></td>
       <td><select name="txtgrupo" class="campos" id="txtgrupo" style="width:160px">
         <option value="0x">Seleccionar...</option>
       </select></td>
    </tr>
    </table>
        </td>
    </tr>
  <tr>
  <td>
<table id="listado_estudiantes"></table>
<div id="pager_estudiantes"></div>
</td></tr>
</table>
	
<?php 
	$academia->cerrar();
?>

  <input type="button" name="pdf" id="pdf" value="Generar PDF" />
<div id="buttonDialog">hola</div>
</body>
</html>